Loading...
Searching...
No Matches
mkgeo_obstacle

mesh of the obstacle-in-channel

## Synopsis

mkgeo_obstacle [options] [nx [ny]]

## Example

The following command build a triangle-based 2d unstructured mesh of the [-L,L]x[0,c] with a unit circle hole at origin.

        mkgeo_obstacle > obstacle.geo
        geo obstacle.geo

## Description

This command is convenient for building a mesh for the obstacle-in-channel geometry, as it is a very classical benchmark in complex fluid flow problems. It calls bamg unstructured mesh generator with anisotropy feature. The mesh files goes on name.geo where name is the basename for the output (see option -name below). The three auxiliary files required for automatic mesh generation with Rheolef combined with bamg are also provided:

            name.bamg
            name.bamgcad
            name.dmn

## The geometry

-c float
-L float

> These options control the geometry parameters. Default is c=2 and L=2*c.

-cartesian
-zr

> These options control the geometry coordinate system. Default is Cartesian.

-quarter
-half

> When the quarter option is activated, the upstream-downstream symmetry is assumed and only one quarter of the geometry is considered. Otherwise, with the half option, the upstream-downstream geometry is generated Default is the quarter option.

-N int

> The number of elements around the half of the circular obstacle. When the quarter option is activated, only a quarter
> of the circular obstacle is considered. Default is N=100.

## The discretization

-hmin float

> Controls the edge length on the obstacle. Default is hmin=0.1. Changing the density by the previous options applies the factor 1/n to hmin also.

## Boundary domains

The boundary sides are represented by domains: obstacle, axis, wall, upstream and downstream.

## Others options

-name string

> Set the basename for the output files. By default, the basename is obstacle.

-[no]split

> Split each triangle in three subtriangles by inserting the barycenter as an additional node. This is useful for using the Scott and Vogelius incompressible mixed finite element P2-P1d for velocity-pressure approximation. Default is no split.

-[no]clean

> Clear temporary files (this is the default).

-[no]verbose

> In verbose mode, print to stderr all commands and logs.

## Implementation

This documentation has been generated from file main/sbin/mkgeo_obstacle.sh